1
0

[fix] reg_readkey: command not found

This commit is contained in:
GenZmeY 2022-02-14 02:57:53 +03:00
parent ab9add6509
commit 89809210d0

16
builder
View File

@ -23,6 +23,14 @@ set -Eeuo pipefail
trap cleanup SIGINT SIGTERM ERR EXIT trap cleanup SIGINT SIGTERM ERR EXIT
function reg_readkey () # $1: path, $2: key
{
cygpath -u "$(
reg query "$1" //v "$2" | \
grep -F "$2" | \
awk '{ $1=$2=""; print $0 }')"
}
# Whoami # Whoami
ScriptFullname=$(readlink -e "$0") ScriptFullname=$(readlink -e "$0")
ScriptName=$(basename "$0") ScriptName=$(basename "$0")
@ -85,14 +93,6 @@ ArgQuiet="false"
ArgWarnings="false" ArgWarnings="false"
ArgNoColors="false" ArgNoColors="false"
function reg_readkey () # $1: path, $2: key
{
cygpath -u "$(
reg query "$1" //v "$2" | \
grep -F "$2" | \
awk '{ $1=$2=""; print $0 }')"
}
function is_true () # $1: Bool arg to check function is_true () # $1: Bool arg to check
{ {
echo "$1" | grep -Piq '^true$' echo "$1" | grep -Piq '^true$'